webentwicklung-frage-antwort-db.com.de

Wie installiere ich die neueste Version von Okular auf Ubuntu 16.04?

Auf Okulars Webseite sehe ich, dass die neueste Version 1.2 im August 2017 veröffentlicht wurde. In meinem Ubuntu 16.04 habe ich Okluar, das in seinem Abschnitt Über besagt, dass es sich um Version 0.25.0 handelt. Wenn ich versuche, Okular in der Befehlszeile zu aktualisieren, wird okular is already the newest version (4:16.04.3-0ubuntu1~ubuntu16.04~ppa62) angezeigt. Auf der Okular-Website heißt es nur "Für GNU/Linux und die BSDs verwenden Sie den Paket-Manager, um das Okular-Paket zu finden", was ich getan habe. Liegt das daran, dass Ubuntu-Repositories noch keine aktualisierte Version von Okular haben?

6
That Guy

Canonical unterstützt die ursprünglich mit 16.04 LTS installierte Version seit fünf Jahren; Dies bedeutet, dass alle Sicherheitsupdates auf die unterstützte Version zurückportiert werden.

Wenn Sie jedoch spätere Funktionen benötigen, die nicht in der installierten Version (wie auf der Website zu sehen) enthalten sind, können Sie immer versuchen, eine "Snap" -Version zu installieren, die eine neuere Alternative darstellt. Ich habe ein

Sudo snap install okular

und es soll Version 16.12.3 (Revision 3) von KDE installiert haben, also installieren Sie einfach die Snap-Version, wenn Sie später möchten.

(Hinweis: Okular ist eine KDE-App. Verwendet Qt-Bibliotheken und damit mehr Speicher als evince in Ubuntu, das GTK + verwendet. Kein Problem, Sie haben anständigen Speicher, aber es lohnt sich zu überlegen, ob Sie 2 GB oder weniger haben.)

nachtrag: snap wurde in 16.04 nicht standardmäßig installiert; Möglicherweise müssen Sie es installieren, um 'snap'-Befehle auszugeben. siehe Wie installiere ich Snappy-Pakete in Ubuntu 16.04

11
guiverc